## org.red5.server.persistence
Class FilePersistenceThread

    java.lang.Object
      org.red5.server.persistence.FilePersistenceThread

All Implemented Interfaces:
  Runnable

    public class FilePersistenceThread

extends Object
implements Runnable

Thread that writes modified persistent objects to the file system periodically.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Method Summary
`static FilePersistenceThread` `getInstance()` Return singleton instance of the thread.
`protected void` `modified(IPersistable object, FilePersistence store)` Notify thread that an object was modified in a persistence store.
`protected void` `notifyClose(FilePersistence store)` Write any pending objects for the given store to disk.
`void` `run()` Write modified objects to the file system periodically.
`void` `shutdown()` Cleanly shutdown the tasks

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static FilePersistenceThread getInstance()

  Return singleton instance of the thread.

  Returns:
    singleton instance of thread.

### modified

    protected void modified(IPersistable object,
                            FilePersistence store)

  Notify thread that an object was modified in a persistence store.

  Parameters:
    `object` -
    `store` -

### notifyClose

    protected void notifyClose(FilePersistence store)

  Write any pending objects for the given store to disk.

  Parameters:
    `store` -

### run

    public void run()

  Write modified objects to the file system periodically.

  Specified by:
    `run` in interface `Runnable`

### shutdown

    public void shutdown()

  Cleanly shutdown the tasks

Copyright © 2006-2010 The Red5 Project